> ## Documentation Index
> Fetch the complete documentation index at: https://gcore-waap-api-guides.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Delegation Status

> Returns delegation status for specified domain name.
This endpoint has rate limit.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/dns_api.yaml get /dns/v2/analyze/{name}/delegation-status
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: d5490916607f
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
  - name: Clients
  - name: DNSSEC
  - name: Locations
  - name: Lookup
  - name: Metrics
  - name: NetworkMappings
  - name: Pickers
  - name: RRsets
  - name: Zones
paths:
  /dns/v2/analyze/{name}/delegation-status:
    get:
      tags:
        - Analyze
      summary: Check Delegation Status
      description: |-
        Returns delegation status for specified domain name.
        This endpoint has rate limit.
      operationId: AnalyzeDelegationStatus
      parameters:
        - name: name
          in: path
          description: zone name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: DelegationStatusResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DelegationStatusScanResult'
        '400':
          description: Error message response
          headers:
            error:
              schema:
                type: string
          content: {}
components:
  schemas:
    DelegationStatusScanResult:
      type: object
      properties:
        authoritative_name_servers:
          type: array
          items:
            $ref: '#/components/schemas/NameServer'
        gcore_authorized_count:
          type: integer
          format: int64
        is_whitelabel_delegation:
          type: boolean
        non_gcore_authorized_count:
          type: integer
          format: int64
        zone_exists:
          type: boolean
    NameServer:
      type: object
      properties:
        ipv4Addresses:
          type: array
          items:
            type: string
        ipv6Addresses:
          type: array
          items:
            type: string
        name:
          type: string
      description: NameServer
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````